#
# phpGuestbook - MySQL schema
#
# $Id: mysql_schema.sql,v 1.2 2003/11/25 08:33:23 thatrix Exp $
#

#
# Table structure for table 'phpGB_Posts'
#
CREATE TABLE `phpGB_Posts` (
  `PostId` smallint(5) unsigned NOT NULL auto_increment,
  `Name` varchar(255) NOT NULL default '',
  `EMail` varchar(255) NOT NULL default '',
  `Website` varchar(255) default '',
  `Post` longtext NOT NULL,
  `Date` datetime NOT NULL,
  `IP` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`PostId`)
) TYPE=MyISAM;

#
# Table structure for table 'phpGB_Smilies'
#
CREATE TABLE `phpGB_Smilies` (
   `SmiliesId` smallint(5) unsigned NOT NULL auto_increment,
   `Code` varchar(50) NOT NULL,
   `Description` varchar(100) NOT NULL,
   `Filename` varchar(50) NOT NULL,
   PRIMARY KEY (`SmiliesId`)
) TYPE=MyISAM;

#
# Table structure for table 'phpGB_Config'
#
CREATE TABLE `phpGB_Config` (
    `ConfigName` varchar(255) NOT NULL,
    `ConfigValue` varchar(255) NOT NULL,
    PRIMARY KEY (`ConfigName`)
) TYPE=MyISAM;

#
# Table structure for table 'phpGB_Users'
#
CREATE TABLE `phpGB_Users` (
    `UserId` smallint(5) unsigned NOT NULL auto_increment,
    `Username` varchar(50) NOT NULL,
    `Password` varchar(50) NOT NULL,
    PRIMARY KEY (`UserId`)
) TYPE=MyISAM;