<?php

/***************************************************************************
 *   Copyright (C) 2004 by Thomas Flueeli                                  *
 *   cairol@thatrix.net                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 
 
/***************************************************************************
 * Version                                                                 *
 *   $Id: updateDB.php,v 1.3 2004/05/18 08:01:27 thatrix Exp $                *
 ***************************************************************************/ 

/***************************************************************************
 * History                                                                 *
 *   18.02.2004 : Initial release [thatrix]                                *
 ***************************************************************************/

 define('IN_PHPGB', true);
 $phpGB_base = dirname(__FILE__) . '/../';
 require_once($phpGB_base . 'lib/phpGuestbook.php');
 
 writeHeader();
 $template->display('Standard/commonHeader.tpl');

 echo '<body><p class="title1">phpGuestbook Database Update (2.0.x to 2.0.6)<br></p><center><p>This script updates your current phpGuestbook 2.0.x database. All smilie codes are converted.<br><br></p>';
 startSmilieParser();

 $DBU = DB::connect($config['DSN'], false);
 $resultU = $DBU->query('SELECT PostId, Post FROM ' . $config['prefix'] . 'Posts');
 $count  = $resultU->numRows();

 $data = array();
 while ($rowU = $resultU->fetchRow(DB_FETCHMODE_ASSOC)) {
        $data[] = array(parseSmilies($rowU['Post']), $rowU['PostId']);
 }
        
 echo 'Database contains ' . $count . ' posts.<br><br>Updating all posts...';

 $sth  = $DBU->prepare('UPDATE ' . $config['prefix'] . 'Posts SET Post = ? WHERE PostId = ?');
 $DBU->executeMultiple($sth, $data);

 $DBU->query('UPDATE ' . $config['prefix'] . 'Smilies SET Description = \'You&#039;re stupid!\' WHERE SmiliesId = 43');

 $DBU->disconnect();

 echo ' DONE!';

 $template->display('Standard/commonFooter.tpl');
?>