#
# phpGuestbook - Oracle schema
#
# $Id: oracle_schema.sql,v 1.1 2004/05/18 08:02:30 thatrix Exp $
#

#
# Table structure for table 'phpGB_Posts'
#
CREATE SEQUENCE S_PostId
  INCREMENT BY 1
  START WITH 1;
  
CREATE TABLE phpGB_Posts(
  PostId number(5) NOT NULL,
  Name varchar2(255) default '',
  EMail varchar2(255) default '',
  Website varchar2(255) default '',
  Post long NOT NULL,
  PostDate date NOT NULL,
  IP varchar2(15) default '',
  CONSTRAINT S_PostId PRIMARY KEY  (PostId)
);

#
# Table structure for table 'phpGB_Smilies'
#
CREATE SEQUENCE S_SmiliesId
  INCREMENT BY 1
  START WITH 1;

CREATE TABLE phpGB_Smilies(
   SmiliesId number(5) NOT NULL,
   Code varchar2(50) NOT NULL,
   Description varchar2(100) NOT NULL,
   Filename varchar2(50) NOT NULL,
   CONSTRAINT S_SmiliesId PRIMARY KEY (SmiliesId)
);

#
# Table structure for table 'phpGB_Config'
# 
CREATE TABLE phpGB_Config(
    ConfigName varchar2(255) NOT NULL,
    ConfigValue varchar2(255) NOT NULL,
    CONSTRAINT S_ConfigName PRIMARY KEY (ConfigName)
);

#
# Table structure for table 'phpGB_Users'
#
CREATE SEQUENCE S_UserId
  INCREMENT BY 1
  START WITH 1;

CREATE TABLE phpGB_Users(
    UserId number(5) NOT NULL,
    Username varchar2(50) NOT NULL,
    Password varchar2(50) NOT NULL,
    CONSTRAINT S_UserId PRIMARY KEY (UserId)
);